<?php
//ob_start();
//session_cache_limiter(FALSE); 
session_start();
//if (!isset($_GET['name']))
	//return;			// пока не абузят

//$message = $_GET['name'].", вы слишком часто используете систему оповещения!";
$ok = 1;
$text = $_POST['text'];
echo $text;
/*if (!$_SESSION[$_SERVER['REMOTE_ADDR']]) {
	$_SESSION[$_SERVER['REMOTE_ADDR']] = date_timestamp_get(date_create()) + 60;
	$message = "Система Автоматического оповещения в действии.</br>
        Все ГеймМастера, и не только они, оповещены на их почты, аси, скайпы, дискорды!</br></br>
		".$_GET['name'].", вы можете закрыть эту страницу и ожидать в игре.</br></br>
		<div style='text-align: right;font-size:15pt;'>
		Администрация сервера middle-earth.ru
		</div>";
	$ok = 1;
}
elseif ($_SESSION[$_SERVER['REMOTE_ADDR']] < date_timestamp_get(date_create())){
	$_SESSION[$_SERVER['REMOTE_ADDR']] = date_timestamp_get(date_create()) + 10;
	$message = "Система Автоматического оповещения в действии.</br>
        Все ГеймМастера, и не только они, оповещены на их почты, аси, скайпы, дискорды!</br></br>
		".$_GET['name'].", вы можете закрыть эту страницу и ожидать в игре.</br></br>
		<div style='text-align: right;font-size:15pt;'>
		Администрация сервера middle-earth.ru
		</div>";
	$ok = 1;
}*/
//else
	//$message = $_GET['name'].", вы слишком часто используете систему оповещения!";
	
//$_SERVER['HTTP_USER_AGENT'];
//if (!isset($_POST["data"]))
	//return;
if ($ok)		// isset($_POST['text'])
{
	$curl = curl_init("https://discordapp.com/api/webhooks/513738963769360404/nWQmnYRfybWTmnTAAPD_Cwh-I6rTHhne5WTBFbCTptcGMfE9_1_AZbiigNaT4tbeVa7I");
	curl_setopt($curl, CURLOPT_POST, 1);
	curl_setopt($curl, CURLOPT_POSTFIELDS, json_encode(array("content" => "123123") ));

	curl_exec($curl);
}


?>